2009年4月14日

[plamo:29689] Re: berkeley_db-4.7.25,quota-3.17アップロードしました。

本多です

> 手元の01_minimum + 02_x11 な環境ではlibdbまわりリンクを貼ってやったら静かになりましたが
>
>  KDE Gnome あたりの環境でどうかな ???
>
> とりあえずDebianあたりがdb-4.2.xあたりをまだメンテナンスしてくれているようなので
>  とりあえず固めて手元で待機させています。 まずいようなら即アップロードします。


ざっと、binaryではなくlibのみの依存を見てみましたが、相当数が
libdb-4.2.so に依存しているようです。

libgnomedb
libgnomedb_graph-3.0
gnome-db-3.0
libgda
librdf
sasl2/
gnumeric/
perl5/5.8.8/i686-linux/
python2.6/lib-dynload/
python2.6/site-packages/
ruby/
sopranon
まだあると思う。。

Librariesの依存だけでも/usr/local/lib /opt/*/lib等にも
あるでしょうし、Binrariesもあわせると結構な数になると思います。

で、一応メンテナンスversion(major 4.2)も配布した方が良いのでは
ないでしょうか?
Libraryのみ4.2も提供して、本体は4.7というのがbestと思えますが。
これならば、環境破壊には至らないと思います。

Naofumi Honda

投稿者 xml-rpc : 2009年4月14日 13:14
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/84259
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。